export enum EAgeRatingCategory {
    'ESRB' = 0,
    'PEGI' = 2,
    'CERO' = 3,
    'USK' = 4,
    'GRAC' = 5,
    'CLASS_IND' = 6,
    'ACB' = 7,
}

export enum EAgeRatingRating {
    'Three' = 1,
    'Seven' = 2,
    'Twelve' = 3,
    'Sixteen' = 4,
    'Eighteen' = 5,
    'RP' = 6,
    'EC' = 7,
    'E' = 8,
    'E10' = 9,
    'T' = 10,
    'M' = 11,
    'AO' = 12,
    'CERO_A' = 13,
    'CERO_B' = 14,
    'CERO_C' = 15,
    'CERO_D' = 16,
    'CERO_Z' = 17,
    'USK_0' = 18,
    'USK_6' = 19,
    'USK_12' = 20,
    'USK_16' = 21,
    'USK_18' = 22,
    'GRAC_ALL' = 23,
    'GRAC_Twelve' = 24,
    'GRAC_Fifteen' = 25,
    'GRAC_Eighteen' = 26,
    'GRAC_TESTING' = 27,
    'CLASS_IND_L' = 28,
    'CLASS_IND_Ten' = 29,
    'CLASS_IND_Twelve' = 30,
    'CLASS_IND_Fourteen' = 31,
    'CLASS_IND_Sixteen' = 32,
    'CLASS_IND_Eighteen' = 33,
    'ACB_G' = 34,
    'ACB_PG' = 35,
    'ACB_M' = 36,
    'ACB_MA15' = 37,
    'ACB_R18' = 38,
    'ACB_RC' = 39,
}

export enum EGameCategory {
    'main_game' = 0,
    'dlc_addon' = 1,
    'expansion' = 2,
    'bundle' = 3,
    'standalone_expansion' = 4,
    'mod' = 5,
    'episode' = 6,
    'season' = 7,
    'remake' = 8,
    'remaster' = 9,
    'expanded_game' = 10,
    'port' = 11,
    'fork' = 12,
    'pack' = 13,
    'update' = 14,
}

export enum EGamePlatform {
    'released' = 0,
    'alpha' = 2,
    'beta' = 3,
    'early_access' = 4,
    'offline' = 5,
    'cancelled' = 6,
    'rumored' = 7,
    'delisted' = 8,
}

export enum EGameGenres {
    'point-and-click' = 2,
    'fighting' = 4,
    'shooter' = 5,
    'music' = 7,
    'platform' = 8,
    'puzzle' = 9,
    'racing' = 10,
    'real-time-strategy-rts' = 11,
    'role-playing-rpg' = 12,
    'simulator' = 13,
    'sport' = 14,
    'strategy' = 15,
    'turn-based-strategy-tbs' = 16,
    'tactical' = 24,
    'hack-and-slash-beat-em-up' = 25,
    'quiz-trivia' = 26,
    'pinball' = 30,
    'adventure' = 31,
    'indie' = 32,
    'arcade' = 33,
    'visual-novel' = 34,
    'card-board-game' = 35,
    'moba' = 36,
}

export enum EGamePlatform {
    'win' = 6,
    'ps' = 7,
    'ps2' = 8,
    'ps3' = 9,
    'ps4--1' = 48,
    'ps5' = 167,
    'psp' = 38,
    'psvita' = 46,
    'psvr2' = 390,
    'playstation-vr' = 165,
    'xbox' = 11,
    'xbox360' = 12,
    'xboxone' = 49,
    'series-x' = 169,
    'switch' = 130,
    'wii' = 5,
    'wiiu' = 41,
    'new-nintendo-3ds' = 137,
    '3ds' = 37,
    'nds' = 20,
    'nintendo-dsi' = 159,
    'nintendo-64dd' = 416,
    'nintendo-playstation' = 131,
    'ngc' = 21,
    'n64' = 4,
    'nes' = 18,
    'snes' = 19,
    'gba' = 24,
    'gbc' = 22,
    'gb' = 33,
}